<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>fwDevice: Reviewed List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">fwDevice
   &#160;<span id="projectnumber">8.4.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('reviewed.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Reviewed List </div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><dl class="reflist">
<dt><a class="anchor" id="_reviewed000001"></a>Member <a class="el" href="fwDevice_8ctl.html#a5a533e0c12d614bf96d09597813d2fea">fwDevice_getModelDp</a>  (dyn_string device, dyn_string &amp;modelDp, dyn_string &amp;exceptionInfo)</dt>
<dd>2018-10-03  </dd>
<dt><a class="anchor" id="_reviewed000002"></a>Member <a class="el" href="fwDevice_8ctl.html#a3e77b9773ec189a16749c630a4d2ff1f">fwDevice_getModelSymbols</a>  (dyn_string device, dyn_string &amp;symbolFileNames, dyn_string &amp;exceptionInfo)</dt>
<dd>2018-06-22 (API)  </dd>
<dt><a class="anchor" id="_reviewed000003"></a>Member <a class="el" href="fwDevice_8ctl.html#a054f8ffd273a4677e854da7137bc329b">fwDevice_getPossibleAddressTypes</a>  (string deviceDpType, dyn_string &amp;addressTypes, dyn_string &amp;exceptionInfo, string deviceModel="", string deviceDpName="")</dt>
<dd>2018-08-14, Implementation changed to use dpQuery, documentation extended. </dd>
<dt><a class="anchor" id="_reviewed000004"></a>Member <a class="el" href="fwDevice_8ctl.html#af37aedaa58304743571d82c74fe1d35c">fwDevice_setUnits</a>  (string deviceDpName, dyn_string &amp;exceptionInfo)</dt>
<dd>2018-06-22 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a> Even though it does not seem to be used, keep it as a part of public API </dd>
</dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.5 </li>
  </ul>
</div>
</body>
</html>
